| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwBIORAD.h File Reference

Header file for reading and writing BioRad files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | BIORADhead

## Macros
#define | BIORADSIZE 76

## Functions
int | readBIORAD (Bimage *p, int readdata)
| Reading a BioRad image file format. More...
int | writeBIORAD (Bimage *p)
| Writing a BioRad image file format. More...

## Detailed Description

Header file for reading and writing BioRad files.

Date
  Created: 19990427
  Modified: 20111217

      Format: BioRad 3D confocal microscopy image file format@author Bernard Heymann

Definition in file rwBIORAD.h.

## Macro Definition Documentation

## ◆ BIORADSIZE

#define BIORADSIZE 76

Definition at line 12 of file rwBIORAD.h.

## Function Documentation

## ◆ readBIORAD()

int readBIORAD | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a BioRad image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format intended for confocal light microscopy. Header size: 76 bytes (fixed). File format extension: .PIC. Identifier: 12345 (byte 54). Byte order determination: Magic number. Data types: 0 = short, 1 = byte.

Definition at line 40 of file rwBIORAD.cpp.

## ◆ writeBIORAD()

int writeBIORAD | ( | Bimage * | p | ) |

Writing a BioRad image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format intended for confocal light microscopy.

Definition at line 99 of file rwBIORAD.cpp.